Foros del Web » Administración de Sistemas » LAMP »

Alternar entre php4 y 5

Estas en el tema de Alternar entre php4 y 5 en el foro de LAMP en Foros del Web. Hola a todos, En un entorno linux uso xampp 1.7 que posee la version php 5.3. Estoy desarrollando un modulo en un proyecto desarrollado en ...
  #1 (permalink)  
Antiguo 08/02/2011, 09:36
 
Fecha de Ingreso: junio-2008
Ubicación: Capital Federal xD
Mensajes: 1.208
Antigüedad: 9 años, 3 meses
Puntos: 35
Alternar entre php4 y 5

Hola a todos,
En un entorno linux uso xampp 1.7 que posee la version php 5.3.
Estoy desarrollando un modulo en un proyecto desarrollado en php4.
La cuestión es que debo usar php 4 para que dicho proyecto levante.
Conseguí una version de xampp muuuy antigua que posee php 4
Pero es un gran problema cuando debo usar otros proyectos hechos en php5, y no puedo andar reinstalando a cada rato xampp para poder ejecutar otros proyectos.

Recuerdo que una vez vez vi, en windows, un .bat que permitía alternar entre las versiones de php.
Supongo que tenía instrucciones necesarias para detener un php e iniciar la otra versión.

1 - se puede lograr un .bat en linux que posea tal simplicidad?
2 - como instalo el php 4 teniendo en cuenta que ya tengo instalado xampp1.7 con php5

gracias!!

xampp 1.4.2 php 4.3.4
__________________
I am Doyle please insert code.
  #2 (permalink)  
Antiguo 08/02/2011, 10:10
Avatar de pateketrueke
Modernizr
 
Fecha de Ingreso: abril-2008
Ubicación: Mexihco-Tenochtitlan
Mensajes: 26.399
Antigüedad: 9 años, 6 meses
Puntos: 2526
Respuesta: Alternar entre php4 y 5

la verdad, y lo mejor que puedes hacer es dejar de usar PHP4, por razones de compatibilidad obviamente...

quizá se puede programar un script como el que planteas, pero no sería tan sencillo como imaginas... finalmente tienes que ver esto desde una perspectiva mas profesional: no seguir programando para versiones obsoletas de php!

quizá te cueste un poco migrar tu aplicación de PHP4 a PHP5, pero una ves lo hayas hecho jamás tendrás problemas de este tipo, ni tendrás que lidiar en un futuro cercano con el viejo php...
__________________
Y U NO RTFM? щ(ºдºщ)

No atiendo por MP nada que no sea personal.
  #3 (permalink)  
Antiguo 08/02/2011, 11:09
 
Fecha de Ingreso: junio-2008
Ubicación: Capital Federal xD
Mensajes: 1.208
Antigüedad: 9 años, 3 meses
Puntos: 35
Respuesta: Alternar entre php4 y 5

Si es cierto, pero la migración a php5 requiere tiempos y coste, y el cliente JAMAS lo aprobará o entenderá, solo desea una customizaciones.
Pero sigo investigando si encuentro algo coherente y útil lo posteo aqui.
__________________
I am Doyle please insert code.

Etiquetas: php
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 19:00.